Name is required.
Email address is required.
Invalid email address
Answer is required.
Exceeding max length of 5KB

GE NetworX NX-8: Is this System Alarm.com Interactive Services Compatible?

Samuel — Mar 20, 2015 06:00PM EDT

What revision number does my GE NetworX NX-8 have to be in order to do Alarm.com Interactive monitoring through Geoarm?


1 Community Answers

HelpDesk5 - Mar 20, 2015 at 06:00PM EDT

GEOARM Security Agent

In order to utilize Alarm.com Interactive monitoring services through GEOARM your panel must be version 2. You will also need the NX592E cellular communicator i will place the links below.

Cellular Communicator : http://www.geoarm.com/nx-592e-gsm-zx-at-alarm-com-ge-networx-control-panel-3g-gsm-cellular-alarm-communicator-for-at-and-t.html

Alarm.com Interactive monitoring : http://www.geoarm.com/alarm-com-basic-interactive-cellular-gsm-alarm-monitoring.html

rated : 0 Up Down

Post Your Public Answer